﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Horizontal ScrollBar.aspx.cs"
    Inherits="Horizontal_ScrollBar" %>

<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <telerik:RadScriptManager ID="ScriptManager" runat="server">
    </telerik:RadScriptManager>
    <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server" DefaultLoadingPanelID="RadAjaxLoadingPanel1">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="UserControlContainer">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="UserControlContainer" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>
    <asp:Panel ID="UserControlContainer" runat="server">
        <asp:TextBox ID="TextBox1" runat="server" TabIndex="1"></asp:TextBox>
        <asp:ImageButton ID="ImageButton1" runat="server" Enabled="true" TabIndex="3" ImageUrl="~/images/icons/lookingglass.png" />
        <telerik:RadGrid ID="RadGrid" Width="99%" runat="server" DataSourceID="AccessDataSource1"
            AutoGenerateColumns="false" AllowPaging="true" PageSize="15" AllowSorting="true">
            <ClientSettings AllowKeyboardNavigation="True" AllowColumnsReorder="True" ReorderColumnsOnClient="True">
                <Selecting AllowRowSelect="false" />
                <Resizing AllowColumnResize="True" AllowRowResize="False" />
                <Scrolling AllowScroll="true" UseStaticHeaders="true" SaveScrollPosition="false" />
            </ClientSettings>
            <MasterTableView DataKeyNames="ProductID" TableLayout="Fixed" HeaderStyle-Width="300px">
                <Columns>
                    <telerik:GridBoundColumn UniqueName="ProductID" DataField="ProductID" HeaderText="ProductID"
                        SortExpression="ProductID" Aggregate="Count" />
                    <telerik:GridBoundColumn UniqueName="ProductName" DataField="ProductName" HeaderText="ProductName"
                        SortExpression="ProductName" Aggregate="None" />
                    <telerik:GridBoundColumn UniqueName="QuantityPerUnit" DataField="QuantityPerUnit"
                        HeaderText="Quantity Per Unit" SortExpression="QuantityPerUnit" />
                    <telerik:GridNumericColumn Aggregate="Avg" DataField="UnitPrice" HeaderText="Unit price"
                        SortExpression="UnitPrice" UniqueName="UnitPrice" DataFormatString="{0:C}" FooterAggregateFormatString="Avg: {0:C}" />
                    <telerik:GridNumericColumn Aggregate="Sum" DataField="UnitsInStock" HeaderText="In Stock"
                        SortExpression="UnitsInStock" UniqueName="UnitsInStock" />
                    <telerik:GridNumericColumn Aggregate="Max" DataField="UnitsOnOrder" HeaderText="Units On Order"
                        SortExpression="UnitsOnOrder" UniqueName="UnitsOnOrder" />
                </Columns>
            </MasterTableView>
            <PagerStyle Mode="NumericPages" AlwaysVisible="true" />
        </telerik:RadGrid>
        <telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" Skin="Vista" EnableSkinTransparency="true"
            BackgroundPosition="Center" runat="server">
        </telerik:RadAjaxLoadingPanel>
    </asp:Panel>
    <asp:AccessDataSource ID="AccessDataSource1" DataFile="~/App_Data/Nwind.mdb" runat="server"
        SelectCommand="SELECT TOP 20 ProductID, ProductName, QuantityPerUnit, UnitPrice, UnitsInStock, UnitsOnOrder FROM Products">
    </asp:AccessDataSource>
    </form>
</body>
</html>
